Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class PropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException
                      org.apache.cayenne.reflect.PropertyException

All Implemented Interfaces:
  Serializable

    public class PropertyException

extends CayenneRuntimeException

An unchecked exception thrown on errors during property access, either within a Accessor or a Property.

Since:
  3.0
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected Accessor` | `accessor`
`protected Property` | `property`
`protected Object` | `source`

Constructor Summary
`PropertyException(String message)`
`PropertyException(String message, Accessor accessor, Object source)`
`PropertyException(String message, Accessor accessor, Object source, Throwable cause)`
`PropertyException(String message, Property property, Object source)`
`PropertyException(String message, Property property, Object source, Throwable cause)`
`PropertyException(String message, Throwable cause)`

Method Summary
`Accessor` | `getAccessor()` Returns property descriptor that was used to access the property.
`Property` | `getProperty()`
`Object` | `getSource()` Returns an object that caused an error.

Methods inherited from class org.apache.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### property

    protected Property property

### accessor

    protected Accessor accessor

### source

    protected Object source

Constructor Detail

### PropertyException

    public PropertyException(String message)

### PropertyException

    public PropertyException(String message,
                             Throwable cause)

### PropertyException

    public PropertyException(String message,
                             Accessor accessor,
                             Object source)

### PropertyException

    public PropertyException(String message,
                             Accessor accessor,
                             Object source,
                             Throwable cause)

### PropertyException

    public PropertyException(String message,
                             Property property,
                             Object source)

### PropertyException

    public PropertyException(String message,
                             Property property,
                             Object source,
                             Throwable cause)

Method Detail

### getAccessor

    public Accessor getAccessor()

  Returns property descriptor that was used to access the property. It may be null.

### getProperty

    public Property getProperty()

### getSource

    public Object getSource()

  Returns an object that caused an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.